Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class VirtualMachineStatus

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase
oracle.ovs.api.VirtualMachineStatus`

All Implemented Interfaces:
  java.io.Serializable

Deprecated.

      public class VirtualMachineStatus

extends VirtualMachineBase

Use the oracle.ovs.api.datamodel.VmStatus to instead of this object

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`BOOT_DEVICE_CDROM, BOOT_DEVICE_HDD, BOOT_DEVICE_PXE, CLONING, CREATING, DEFAULT_KEYBOARD_LAYOUT, DELETING, DEPLOY_AUTO, DEPLOY_MANUAL, DEPLOYING, ERROR, IMG_TYPE, INITIALIZING, MEMORY_LOWERBOUND, MIGRATING, OP_CLONE, OP_DELETE, OP_EDIT, OP_LIVEMIG, OP_PAUSE, OP_POWEROFF, OP_POWERON, OP_PREF_SRV, OP_REBOOT, OP_RESET_STATUS, OP_RESUME, OP_SAVTEM, OP_SUSPEND, OP_UNPAUSE, PAUSED, PAUSING, POWEREDOFF, REBOOTING, RESUMING, RUNNING, SAVING, SHUTTINGDOWN, SUSPENDED, SUSPENDING, UNKNOWN, UNPAUSING, VM_TYPE_HVM, VM_TYPE_PVM`

Constructor Summary
`VirtualMachineStatus()` Deprecated.

Method Summary

Methods inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`getBootDeviceCdrom, getBootDeviceHdd, getBootDevicePxe, getHvmType, getPvmType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualMachineStatus

    public VirtualMachineStatus()

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.